I got it here : https://nodeload.github.com/twall/jna/tarball/master

Is there some other version or distribution of jna that I should be using?  The version I have is 3.3.0.

On Thu, Sep 1, 2011 at 8:49 AM, Eric Evans <eevans@acunu.com> wrote:
On Wed, Aug 31, 2011 at 11:38 PM, Eric Czech <eric@nextbigsound.com> wrote:
> I'm running cassandra 0.7.5 on about 20 RHEL 5 (24 GB RAM) machines and I'm
> having issues with snapshots, json sstable conversions, and various nodetool
> commands due to memory errors and the lack of the native access C libraries.
>  I tried putting jna.jar on the classpath but I'm still seeing warnings in
> the log files like "CLibrary.java (line 65) Unable to link C library. Native
> methods will be disabled.".  Based on this warning, It looks like the .jar
> file is actually on the classpath but the native access libraries still
> aren't being used.

Where did you get this jar?  My guess is that the native code in that
jar isn't compatible with your system.

--
Eric Evans
Acunu | http://www.acunu.com | @acunu